Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
sauce::internal::TypeId Class Reference

A TypeSignature equipped with specific helper methods dealing in the hidden type. More...

`#include <sauce/internal/type_id.h>`

Inheritance diagram for sauce::internal::TypeId:

## Public Member Functions
bool | operator== (TypeId const &id) const
bool | operator!= (TypeId const &id) const
bool | operator< (TypeId const &id) const
virtual void | throwOutOfScopeException () const
| Throw an OutOfScopeException appropriate for the hidden type, assuming it is a Scope.

## Protected Member Functions
| TypeId (TypeSignature const &signature)

## Detailed Description

A TypeSignature equipped with specific helper methods dealing in the hidden type.

The documentation for this class was generated from the following file:

- sauce/internal/type_id.h